<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.common.module.mapper.KuaiShouOcpxActionTypeConfigMapper">

    <select id="bytedanceList" resultType="com.alibaba.fastjson.JSONObject">
        select id,
               `level`,
               number_value as 'numberValue',
               ocpx_action_type as 'ocpxActionType',
               ocpx_action_name as 'ocpxActionName'
        from ctop_bytedance_ocpx_action_type_config
        where `level` = #{level}
    </select>

    <select id="getKuaiShouOcpxTypeList" resultType="com.alibaba.fastjson.JSONObject">
        select ocpx_action_type as 'ocpxActionType', ocpx_action_name as 'ocpxActionName'
        from ctop_kuaishou_ocpx_action_type_config
    </select>

    <select id="getKSdeepList" resultType="com.alibaba.fastjson.JSONObject">
        select ocpx_action_type as 'deepCode', ocpx_action_name as 'deepName'
        from ctop_kuaishou_ocpx_action_type_config
        where `level` = 2
    </select>
</mapper>